package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumOrderPressType {

    FIRST(1,"首次砍价/发起砍价"),
    NORMAL(0,"非首次砍价")
    ;

    public static EnumOrderPressType getEnum(Integer code) {
        for (EnumOrderPressType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumOrderPressType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
